<script>
import { GlDropdown, GlDropdownItem } from '@gitlab/ui'
import GitlabLogo from '../components/GitlabLogo.vue'

export default {
  name: 'DefaultLayout',

  components: { GitlabLogo, GlDropdown, GlDropdownItem },

  data() {
    return {
      items: [
        { label: 'Service Ping', to: '/' },
        { label: 'Events', to: '/events' },
        { label: 'Analytics Dashboard', to: '/dashboard' },
        { label: 'Identifiers', to: '/identifiers' },
        { label: 'Status', to: '/status' },
      ],
      externalItems: [
        {
          label: 'Data Exploration',
          to: 'https://10az.online.tableau.com/#/site/gitlab/views/PDServicePingExplorationDashboard/MetricsExploration',
        },
        {
          label: 'Contribute',
          to: 'https://gitlab.com/gitlab-org/analytics-section/analytics-instrumentation/metric-dictionary',
        },
      ],
    }
  },

  methods: {
    isActive(itemPath) {
      const basePath = this.$route.path.split('?')[0]
      return basePath === itemPath
    },
  },
}
</script>

<template>
  <div>
    <nav style="background-color: #2f2a6b">
      <div class="px-4 sm:px-6 lg:px-8">
        <div class="relative flex h-16 items-center justify-between">
          <div class="flex flex-1 items-center justify-between">
            <nuxt-link
              to="/"
              class="flex flex-shrink-0 items-center no-underline"
            >
              <gitlab-logo />
              <strong class="text-white">Metrics Dictionary</strong>
            </nuxt-link>

            <div class="hidden items-center space-x-2 text-center sm:flex">
              <nuxt-link
                v-for="item in items"
                :key="item.to"
                :to="item.to"
                class="rounded px-3 py-2 text-sm font-medium text-indigo-300 underline-offset-4 hover:text-white"
                :class="{
                  'text-white bg-black/25 text-decoration-none': isActive(
                    item.to,
                  ),
                }"
              >
                {{ item.label }}
              </nuxt-link>
              <a
                v-for="item in externalItems"
                :key="item.to"
                :href="item.to"
                class="rounded px-3 py-2 text-sm font-medium text-indigo-300 underline-offset-4 hover:text-white"
              >
                {{ item.label }}
              </a>
            </div>

            <gl-dropdown
              icon="hamburger"
              text="Navigation items"
              class="rounded bg-indigo-300/50 sm:hidden"
              :text-sr-only="true"
              category="tertiary"
              no-caret
              right
            >
              <gl-dropdown-item
                v-for="item in items.concat(externalItems)"
                :key="item.to"
                :href="item.to"
                :class="{
                  'pointer-events-none bg-indigo-100 text-black': isActive(
                    item.to,
                  ),
                }"
              >
                {{ item.label }}
              </gl-dropdown-item>
            </gl-dropdown>
          </div>
        </div>
      </div>
    </nav>

    <Nuxt />
  </div>
</template>
